//~ Function that test the user code
          
async function submit(){
  var test = editor.getValue()+`\n
import random as r
def chouetteVerif(valeur): 
  res=list() 
  for i in range(1, 7): 
    for j in range(i, 7): 
      for k in range(j, 7): 
        if (i+j+k) == valeur: 
          res.append([i, j, k]) 
  return res 

def test_chouette(n):
  chouette(1)
  listTest=[]
  for i in range(0,n):
    listTest.append(r.randint(3,18))
  for i in listTest:
    if(chouette(i)!=chouetteVerif(i)):
      return False
  return True

print(test_chouette(5))
  `;
  exec("print ('True')", "code"); 
  exec(test, "solution");
  result.innerHTML = "Test en cours...";
  await new Promise(r => setTimeout(r, 1500));
  check();
}

